Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.api.workflow
Interface WorkflowNamingService

All Superinterfaces:
  com.connecterra.workflow.engine.api.WorkflowNamingService

    public interface WorkflowNamingService

extends com.connecterra.workflow.engine.api.WorkflowNamingService

Interface to get to workflow related objects like workflow modules and serializers and deserializers for the different types.

This is typically instantiated and initialzed by the `WorkflowManager`.

This also extends com.connecterra.workflow.engine.api.WorkflowNamingService to support legacy workflow modules easily.

Method Summary
`Set` | `listModules()` Lists the names of all the workflow modules known to this naming service.
`MessageSerializer` | `lookupCollectionSerializer(Class collectionClazz, Class clazz)` Looks up serializer for a given class and for the given collection type.
`MessageDeserializer` | `lookupDeserializer(String rootName, String namespace)` Looks up deserializer for the given namespace and xml root element name.
`WorkflowModulePlugin` | `lookupModule(String name)` Looks up workflow module with the given name.
`MessageSerializer` | `lookupSerializer(Class clazz)` Looks up serializer for a given class.
`void` | `register(String moduleInstanceName, Object moduleToBeRegistered)` Deprecated. This method is provided only because the naming service needs to support legacy modules as well in the short term.
`void` | `registerDeserializer(MessageDeserializer deserializer)` Registers a deserializer with the naming service.
`void` | `registerModule(WorkflowModulePlugin moduleToBeRegistered)` Registers a workflow module with the naming service.
`void` | `registerSerializer(MessageSerializer serializer)` Registers the given serializer with the naming service.
`void` | `unregister(String moduleInstanceName)` Unregisters a workflow module.
`void` | `unregisterDeserializer(MessageDeserializer deserializer)` Unregisters deserializer from the naming service.
`void` | `unregisterSerializer(MessageSerializer serializer)` Unregisters the given serializer from the naming service.

Methods inherited from interface com.connecterra.workflow.engine.api.WorkflowNamingService
`list, lookup`

Method Detail

### register

    void register(String moduleInstanceName,
                  Object moduleToBeRegistered)

  Deprecated. This method is provided only because the naming service needs to support legacy modules as well in the short term.

  Interface to register legacy modules or new style modules.

  Parameters:
    `moduleInstanceName` - Name of the workflow module instance that is to be registered.
    `moduleToBeRegistered` - The workflow module that is to be registered. This must be of type com.connecterra.workflow.engine.api.Module or `WorkflowModulePlugin`.
  Throws:
    `IllegalArgumentException` - If an object that is not of type com.connecterra.workflow.engine.api.Module or `WorkflowModulePlugin` is passed in.

### registerModule

    void registerModule(WorkflowModulePlugin moduleToBeRegistered)

  Registers a workflow module with the naming service.

  Parameters:
    `moduleToBeRegistered` - The workflow module that is to be registered.

### unregister

    void unregister(String moduleInstanceName)

  Unregisters a workflow module.

  Parameters:
    `moduleInstanceName` - Name of the workflow module instance that is to be unregistered

### lookupModule

    WorkflowModulePlugin lookupModule(String name)

  Looks up workflow module with the given name.

  Parameters:
    `name` - Name of the module that is being looked up.
  Returns:
    The workflow module with the given name. This will return null if a module by that name was not found.

### listModules

    Set listModules()

  Lists the names of all the workflow modules known to this naming service.

  Returns:
    Set containing the names of all workflow modules. This will return an empty set if there are no modules registered with the service.

### registerSerializer

    void registerSerializer(MessageSerializer serializer)

  Registers the given serializer with the naming service. This will overwrite any existing serializer for the same class that is handled by the this serializer.

  Parameters:
    `serializer` - Serializer that is to be registered with the service.

### unregisterSerializer

    void unregisterSerializer(MessageSerializer serializer)

  Unregisters the given serializer from the naming service.

  Parameters:
    `serializer` - The serializer that should be unregistered from the naming service.

### lookupSerializer

    MessageSerializer lookupSerializer(Class clazz)

  Looks up serializer for a given class.

  Parameters:
    `clazz` - The Class for which serializer is to be found.
  Returns:
    `MessageSerializer` for the given class. This will return null if there is no serializer registered for that class.

### lookupCollectionSerializer

    MessageSerializer lookupCollectionSerializer(Class collectionClazz,
                                                 Class clazz)

  Looks up serializer for a given class and for the given collection type.

  Parameters:
    `collectionClazz` - The collection class handled by the serializer.
    `clazz` - The Class for which serializer is to be looked up.
  Returns:
    MessageSerializer for the given class. This will return null if there is no serializer registered for that class.

### registerDeserializer

    void registerDeserializer(MessageDeserializer deserializer)

  Registers a deserializer with the naming service. This will overwrite any existing deserializer for the same xml root element and namespace as this deserializer.

  Parameters:
    `deserializer` - Deserializer that is to be registered.

### unregisterDeserializer

    void unregisterDeserializer(MessageDeserializer deserializer)

  Unregisters deserializer from the naming service.

  Parameters:
    `deserializer` - Deserializer that is to be unregistered.

### lookupDeserializer

    MessageDeserializer lookupDeserializer(String rootName,
                                           String namespace)

  Looks up deserializer for the given namespace and xml root element name.

  Parameters:
    `rootName` - The name of the XML root element
    `namespace` - The namespace for the root. Use null if the root is in null namespace.
  Returns:
    `MessageDeserializer` for the given namespace and xml root element name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD